%define oname ferrisstreams
Version: 0.5.2
Release: alt1
Name: libferrisstreams

Summary: Standard C++ IOStreams extensions

License: GPL
Group: System/Libraries
Url: http://sourceforge.net/project/showfiles.php?group_id=16036

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sourceforge.net/witme/%oname-%version.tar.bz2

# Automatically added by buildreq on Mon Jan 07 2008
BuildRequires: gcc-c++ glib2-devel libferrisloki-devel libpopt-devel

%description
Standard C++ IOStreams extensions.

%package devel
Summary: Development files needed to build applications with %name
Group: Development/C++
Requires: %name = %version

%description devel
Development files needed to build applications with %name.

%prep
%setup -q -n %oname-%version

%build
%configure --enable-hiddensymbols --with-sigcxx-2x=yes --disable-stlport
%make_build

%install
%make_install install DESTDIR=%buildroot

%post -p %post_ldconfig

%postun -p %post_ldconfig

%files
%doc AUTHORS README ChangeLog
%_bindir/*
%_libdir/%name-05:0:0.so

%files devel
%_pkgconfigdir/*
%_includedir/*
%_libdir/%name.so

%changelog
* Mon Jan 07 2008 Vitaly Lipatov <lav@altlinux.ru> 0.5.2-alt1
- initial build for ALT Linux Sisyphus
- build without STLport

* Mon Feb 9 2004 Ben Martin
  Changed for no PREFIX and more macros

* Thu May 3 2003 Ben Martin
- Created
